complexType "VariationRequirement"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (deliver, return?) | return
</...>

Content Model Elements (3):

  deliver (defined in VariationRequirement complexType), return (defined in VariationRequirement complexType), | return (defined in VariationRequirement complexType)

All Direct / Indirect Based Elements (3):

  segregatedIndependentAmount (in marginRequirement), segregatedIndependentAmount (in marginRequirement), | variationMargin (in marginRequirement)

Known Usage Locations

- As direct type of elements (3):

  segregatedIndependentAmount (in marginRequirement), segregatedIndependentAmount (in marginRequirement), | variationMargin (in marginRequirement)

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="VariationRequirement"> <xsd:choice> <xsd:sequence> <xsd:element name="deliver" type="MarginRequirementDeliver"/> <xsd:element minOccurs="0" name="return" type="MarginRequirementReturn"/> </xsd:sequence> <xsd:element name="return" type="MarginRequirementReturn"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
deliver

  Type: | MarginRequirementDeliver, complex content

  variation margin to be delivered
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliver" type="MarginRequirementDeliver"/>

return

  Type: | MarginRequirementReturn, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="return" type="MarginRequirementReturn"/>

return

  Type: | MarginRequirementReturn, complex content

  variation margin to be returned
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="return" type="MarginRequirementReturn"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.